com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Gen2_InventoryCfg

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_InventoryCfg
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gen2_InventoryCfg

-     public class STUHFL_T_ST25RU3993_Gen2_InventoryCfg
      extends BR_ST25RU3993_Gen2_InventoryCfg

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `STUHFL_T_ST25RU3993_Gen2_InventoryCfg.AdaptiveSensitivity`
    `class` | `STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Anticollision`
    `class` | `STUHFL_T_ST25RU3993_Gen2_InventoryCfg.AutoTuning`
    `class` | `STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Option`
    `class` | `STUHFL_T_ST25RU3993_Gen2_InventoryCfg.QueryParams`

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_InventoryCfg

      `BR_ST25RU3993_Gen2_InventoryCfg.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `STUHFL_T_ST25RU3993_Gen2_InventoryCfg.AdaptiveSensitivity` | `adaptiveSensitivity`
    `STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Anticollision` | `antiCollision`
    `STUHFL_T_ST25RU3993_Gen2_InventoryCfg.AutoTuning` | `autoTuning`
    `STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Option` | `option`
    `STUHFL_T_ST25RU3993_Gen2_InventoryCfg.QueryParams` | `queryParams`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_Gen2_InventoryCfg()`
    `STUHFL_T_ST25RU3993_Gen2_InventoryCfg(STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Option option, STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Anticollision antiCollision, STUHFL_T_ST25RU3993_Gen2_InventoryCfg.AutoTuning autoTuning, STUHFL_T_ST25RU3993_Gen2_InventoryCfg.QueryParams queryParams, STUHFL_T_ST25RU3993_Gen2_InventoryCfg.AdaptiveSensitivity adaptiveSensitivity)`
    `STUHFL_T_ST25RU3993_Gen2_InventoryCfg(STUHFL_T_ST25RU3993_Gen2_InventoryCfg other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set general Gen2 inventory configuration
    `STUHFL_E.RET_CODE` | `fetch()` Get general Gen2 inventory configuration
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_InventoryCfg

      `_Get_Gen2_InventoryCfg, _Set_Gen2_InventoryCfg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### option

          public STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Option option

    - #### antiCollision

          public STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Anticollision antiCollision

    - #### autoTuning

          public STUHFL_T_ST25RU3993_Gen2_InventoryCfg.AutoTuning autoTuning

    - #### queryParams

          public STUHFL_T_ST25RU3993_Gen2_InventoryCfg.QueryParams queryParams

    - #### adaptiveSensitivity

          public STUHFL_T_ST25RU3993_Gen2_InventoryCfg.AdaptiveSensitivity adaptiveSensitivity

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_Gen2_InventoryCfg

          public STUHFL_T_ST25RU3993_Gen2_InventoryCfg(STUHFL_T_ST25RU3993_Gen2_InventoryCfg other)

    - #### STUHFL_T_ST25RU3993_Gen2_InventoryCfg

          public STUHFL_T_ST25RU3993_Gen2_InventoryCfg(STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Option option,
                                                       STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Anticollision antiCollision,
                                                       STUHFL_T_ST25RU3993_Gen2_InventoryCfg.AutoTuning autoTuning,
                                                       STUHFL_T_ST25RU3993_Gen2_InventoryCfg.QueryParams queryParams,
                                                       STUHFL_T_ST25RU3993_Gen2_InventoryCfg.AdaptiveSensitivity adaptiveSensitivity)

    - #### STUHFL_T_ST25RU3993_Gen2_InventoryCfg

          public STUHFL_T_ST25RU3993_Gen2_InventoryCfg()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set general Gen2 inventory configuration
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get general Gen2 inventory configuration
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`